<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\ServiceOrder\ServiceOrder\Services;


use Schaffen\ServiceOrder\ServiceOrder\Repositories\ServiceOrderExecutionRepository;

class RemoveServiceOrderExecution
{
   /**
    * @var ServiceOrderExecutionRepository
    */
   private ServiceOrderExecutionRepository $service_order_execution_repository;

   public function __construct(ServiceOrderExecutionRepository $service_order_execution_repository)
   {
      $this->service_order_execution_repository = $service_order_execution_repository;
   }

   public function removeExecutions($executions_to_delete)
   {
      $executions_to_delete = is_array($executions_to_delete) ? $executions_to_delete : [$executions_to_delete];
      foreach ($executions_to_delete as $execution) {
         $this->service_order_execution_repository->destroy($execution);
      }
   }
}
